Page MenuHomePhabricator

Migrate default GettextFFS keyAlgorithm default value to simple
Closed, ResolvedPublic

Description

We want to change the default value of the keyAlgorithm value from "legacy" to "simple". The following steps should help you in achieving this:

  • Go over all group yml files in translatewiki.net repo and add keyAlgorithm: legacy if it is not specified
  • Change default value to simple in the Translate extension (update tests if necessary)
  • Ensure that MLEB release notes include this change (add a note to the next release task)
  • Go over all group yml files in translatewiki.net repo and remove keyAlgorithm: simple

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptOct 24 2017, 11:15 AM
Nikerabbit triaged this task as Low priority.Oct 24 2017, 11:15 AM
Nikerabbit added a project: translatewiki.net.
Nikerabbit moved this task from Backlog to file formats on the MediaWiki-extensions-Translate board.
Florian updated the task description. (Show Details)Oct 26 2017, 4:34 PM
Florian added a subscriber: Florian.

I changed some things, added a description (it would be great if someone could add a note _why_ we want to do that :)) and added some links. One thing I don't get (probably there's omething missing?) is the first task, especially what do you mean with that part:

and keyAlgorithm: legacy if it is not specified

If that is clarified, I'll create a task in GCI, if you want :)

Simple algorithm produces shorter page titles and shorter titles are nicer in many places where the titles can appear. The part you quoted should include word add.

Nemo_bis added a subscriber: Nemo_bis.
Florian updated the task description. (Show Details)Oct 28 2017, 12:52 PM

@Nikerabbit Great, thanks for explanation and for the missing add, makes much more sense now :)

Imported as: https://codein.withgoogle.com/dashboard/tasks/5707423769690112/

@rosalieper: I already sent you an invitation to become a mentor in Google Code-in, so I could assign you as a mentor in the task, too (for now, my name is written there). Would you like to accept it? :) Thanks in advance!

@Florian I have't seen the email till now. PLease could you resend the email?

@rosalieper I sent the invitation to the second e-mail mentioned on your MediaWiki user profile again :)

Thank you. seen. Sorry the first email on my profile had a typo

*wohoo* :) Added you as a mentor to this task!

nikitavbv added a subscriber: nikitavbv.

I will work on this migration!

Change 400613 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[translatewiki@master] Update groups GettextFFS keyAlgorithm

https://gerrit.wikimedia.org/r/400613

I just pushed a change to translatewiki.net repo. That patch removes keyAlgorithm: simple and adds keyAlgorithm: legacy (if it was not specified) for all groups which use GettextFFS class.

Change 400614 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[mediawiki/extensions/Translate@master] Migrate GettextFFS keyAlgorithm default value to simple

https://gerrit.wikimedia.org/r/400614

And I pushed a second patch (to Translate extension) which changes default value keyAlgorithm to simple.

I checked MediaWiki Language Extension Bundle and Release workboards, however there is no next release task for MLEB, so I can't add needed information to release notes. I think we need to ask @Arrbee to create it?

Anyway, I am done with patches to translatewiki.net and Translate extension repos. If something needs to be changed / added / improved / removed, please tell and I will do it!

Change 400683 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[translatewiki@master] Remove keyAlgorithm for some groups using GettextFFS

https://gerrit.wikimedia.org/r/400683

By @Nikerabbit recommendation, I split change to translatewiki.net repo into two separate patches. The first one ( https://gerrit.wikimedia.org/r/#/c/400613 ) adds keyAlgorithm: legacy for groups if it was not specified and the second ( https://gerrit.wikimedia.org/r/#/c/400683 ) removes keyAlgorithm: simple because it is not needed anymore.

Change 400613 merged by jenkins-bot:
[translatewiki@master] Set keyAlgorithm to legacy for some groups using GettextFFS

https://gerrit.wikimedia.org/r/400613

Nikerabbit updated the task description. (Show Details)Dec 29 2017, 2:12 PM

Change 400614 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Migrate GettextFFS keyAlgorithm default value to simple

https://gerrit.wikimedia.org/r/400614

Change 400683 merged by jenkins-bot:
[translatewiki@master] Remove keyAlgorithm for some groups using GettextFFS

https://gerrit.wikimedia.org/r/400683

Nikerabbit updated the task description. (Show Details)Dec 29 2017, 2:36 PM
nikitavbv closed this task as Resolved.Jan 13 2018, 11:15 PM

Both patches are merged, so we can close this as resolved.